|

Una de las principales pegas de actualizar Firefox aparece si alguna de las extensiones sin las que no podemos vivir deja de funcionar. Y pasa a menudo. Aunque el cambio de una versión a otra de Firefox sea haber cambiado una coma en los créditos del programa, el hecho de modificar un numerito ya puede echar al traste con tu extensión hasta que la actualice su autor.

Algunas veces esto ocurre por un motivo. Generalmente, porque los cambios internos de Firefox han desbaratado por completo el modus operandi de la extensión pero, ¿y si estás convencido de que funcionaría? Entonces... qué mejor forma de dejar de conjeturar, que probarlo por ti mismo.

La forma fácil

La forma más fácil de lograr instalar una extensión en una versión de Firefox para la que no es compatible es decirle a Firefox que no haga la comprobación. Pero, como no entiende nuestro idioma, será mejor que lo hagamos de un modo apropiado.

Lo primero que debes hacer es introducir lo siguiente en la barra de direcciones:

about:config

Tras pulsar Enter, lo más probable es que Firefox te advierta de que entras en territorio no apto para manazas. Pon cara de niño bueno y promete ser cuidadoso. Tras eso verás una lista de palabras sin mucho sentido.

A continuación debes crear una clave nueva. Haz clic derecho en cualquier parte de la pantalla y selecciona Nuevo / Lógico y en el recuadro de texto escribe lo siguiente:

extensions.checkCompatibility

Para terminar, sólo debes especificar que el valor debe ser False.

 

Y ya está. Tras reiniciar el navegador, Firefox no volverá a quejarse de las versiones y se tragará lo que le eches... para bien o para mal. Pero no te confíes pues, por ejemplo, una extensión diseñada para Firefox 2, difícil será que funcione tal cual para Firefox 3. Sin embargo, te puede ayudar si estás probando alguna versión beta del navegador y la extensión que quieres utilizar sólo sirve para la oficial.

La forma menos fácil

¿No te convence eso de tener que desactivar la comprobación de versiones? Tiene su punto negativo, y es que para que te funcione ESA extensión, a cambio dejarás libre el filtro para todas las demás.

No te preocupes, aún tenemos un cartucho más en la recámara listo para ser disparado. En esta ocasión, en vez de cambiar Firefox para nuestras exigencias, cambiaremos la extensión.

Lo primero que necesitas es el archivo XPI de la extensión. Lo malo es que al hacer clic con Firefox en ellos, se intentan instalar en vez de descargarse, pero puedes hacer clic derecho sobre ellos y seleccionar "Guardar enlace como", o utilizar otro navegador.

Una vez hecho esto debemos confesarte un secreto que en verdad no es tal: los archivos XPI no son más que archivos ZIP, así que renombra el archivo a ZIP y extrae todo su contenido en alguna carpeta.

Localiza el archivo llamado install.rdf y ábrelo con un editor de texto. Por ejemplo, el Bloc de notas.

Aquí debes editar el apartado <em:MaxVersion>, introduciendo una versión superior a la de tu Firefox. El resto será mejor que no lo toques.

Igual que hemos descomprimido antes un XPI, ahora debemos crearlo. ¿Cómo? Pues tan fácil como volver a hacer un ZIP de todo lo extraido con anterioridad (no te olvides de las carpetas) con WinZip, WinRAR, etc. y renombrarlo de nuevo a XPI.

 

Llegados a este punto, exhaustos ante tanto esfuerzo, ya disponemos de nuestra peculiar versión de la extensión, ahora mucho más compatible. Sólo falta arrastrarla hasta la ventana de componentes de Firefox para comprobar como ahora no recibes queja alguna.

De todos modos, repetimos lo dicho, esto no significa que la extensión vaya a funcionar a las mil maravillas...

Comentarios

  • Elias |
    18/08/08
    Elias

    Tambien existe la extension Nightly Tester Tools, que entre otras cosas, te da opciones para poder instalar extensiones no compatibles. Yo la uso bastante.

    https://addons.mozilla.org/es-ES/firefox/addon/6543

  • Davinator |
    18/08/08
    Davinator

    Quisiera saber si ya lo han probado con el "Real Browser Record Plugin" porque ésta extensión me ha sido bastante util y no me ha funcionado en el Firefox 3 por lo que sigo con el 2. Si Alguien lo ya lo probó, por favor avisenme. Graxxx!!!!

  • yo |
    18/08/08
    yo

    Prefiero la segunda forma es mas facil y mas segura XD

  • Marcelo Senosiain |
    18/08/08
    Marcelo Senosiain

    es un programa genial para bajar canciones a toda velocidad, muchísimo mejor que el kazza, por el que solo baja porqueria. ademas las peliculas se descargan mucho más rápido que con el emule, lo malo es que por el momento tiene poco catálogo, pero cuando haya más pelis, el emule será historia, ya que con este no hay que estar buscando servidores ni tonterias de esas. las pelis tardan en bajarse muy poco, unas tres o cuatro horas.

  • rojiblanc0 |
    18/08/08
    rojiblanc0

    Buen truco, gracias por el aporte.

  • noctuido |
    18/08/08
    noctuido

    Primero decir que estos métodos son "avanzados". Así que ya que han dicho cómo acometer cambios en la configuración, si salen mal también hay que decir cómo salir airosos de ellos.

    Si después de hacer estos pasos la extensión se vuelve claramente revelde hay que tener claro que extensión forzamos para desistalarla, si la extensión forzada llega al punto de no poderla desistalar, debemos entrar en Firefox (modo seguro): En Windows Xp menú de Inicio--> Todos los programas--> Mozilla Firefox (modo seguro)--> Menú Herramientas--> Complementos> Extensiones==> Extension que queramos desistalar>Boton desistalar.

    Para linux con la misma ruta pero lanzando desde F2: firefox -safe-mode

    Existen otras dos formas de instalar extensiones que no sean validas para la version de Firefox:

    -Cambiando el User Agent de Firefox. Escribimos about:config en la barra de direcciones, en el filtro escribimos para que nos aparezca general.useragent.extra.firefox hacemos doble clic sobre esa linea y cambiamos el numero de version. Este metodo tiene el inconveniente que asi engañamos tambien al resto de extensiones y puede haber extensiones solo para versiones superiores a la que pongamos.

    -Otro metodo es instalando la extension Nightly Tester Tools que esta pensada para desarrolladores de extensiones y con la que podemos forzar las extensiones una por una sin tocar nada de la configuracion.

    En el caso de la captura que nos pone Ivan Ramirez. Si no es compatible con nuestro Firefox 3 prefiero ir a la pagina del autor y bajarme la version que tenga en desarrollo en este caso la 0.3.7 Prereleased : http://tmp.garyr.net/

    Disculpen, no he puesto acentos porque en medio del texto se me ha desconfigurado el teclado de windows :P

  • chilvao |
    18/08/08
    chilvao

    Muy util, gracias!

  • Magic Blue |
    19/08/08
    Magic Blue

    hola, muy buena informacion me fue muy util.

    por cierto, estamos a la espera de los comentarios mas disparatados de softonic (parte 4), ojala lo coloquen pronto.

  • Peter´s |
    19/08/08
    Peter´s

    ohhhhh! no sabia que los .xpi eran Zip si sabia que los .jar eran pero esto es nuevo :D lo que se aprende aqui

  • Lectora |
    19/08/08
    Lectora

    Hola, Actualmente trabajo en la agencia de noticias servimedia como redactora pero me gustaría trabajar también como editora de blogs.

    Gracias

  • Peter´ss |
    19/08/08
    Peter´ss

    XD no sabia que los .xpi eran zip si sabia que los .jar .......... espera aora que lo pienso Firefox por casualidad y aparte de ser un navegador no sera ............. un compresor de archivos :D

    XD jajajja

    Saludos

  • noctuido |
    19/08/08
    noctuido

    ¿Por qué se ha puesto mi post? ¿Algún motivo en concreto? Hasta hace unos minutos decía que estaba en cola para revisarlo, y eso que lo puse antes de que publicasen el de chilvao.

  • noctuido |
    19/08/08
    noctuido

    Al que revisa los post ahora, le han sentado mal las vacaciones por lo que veo XDDD anda que... :P

    Saludos. :)

  • Jason |
    20/08/08
    Jason

    muchas gracias! este sitio siempre tiene articulos muy interesantes.

    SAludos

  • Ivo |
    21/08/08
    Ivo

    Me sirvió mucho ya que tengo como 5 extensiones obsoletas que quiero agregar a mi firefox 3.0.1. Te lo agradezco!!!

  • luzfel |
    21/08/08
    luzfel

    gracias por la ayuda, y la informacion. por cierto sirve para cambiar el idioma de la version 3 al castellano?, desde que actualice, solo tengo el ingles.

  • Mauricio |
    25/08/08
    Mauricio

    que buena forma de hacer funcionar los complementos no compatibles con firefox 3.0.1

    solo que por algo no son compatibles por ejemplo los temas no se ven muy bien se empalman algunas cosas

    pero bueno almenos me ha dejado instalarlos el que mas me urigia instalar para ver que tal era el fasterfox.. almenos asi si actualizan el complemento voy a estar enterado :)

    gracias por la ayuda

  • K-PO2.0 |
    13/10/08
    K-PO2.0

    Esto sirve pero tiene sus contras.

    Cuando me voy a https://addons.mozilla.org a descargar esas extensiones, la misma página me traba la descarga ya que la extensión es incompatible con Frefox 3.0.3

  • Iván Ramírez |
    13/10/08
    Iván Ramírez

    Puedes desactivar la comprobación de versiones iniciando sesión en la página de extensiones (y si no tienes cuenta, creándola, etc).

    También puedes usar otro navegador para ello.

  • Tip: Como evitar que Firefox se &#8220;queje&#8221; de las extensiones antiguas |
    15/10/08
    Tip: Como evitar que Firefox se &#8220;queje&#8221; de las extensiones antiguas

    [...] Enlace | Softonic [...]

  • noctuido |
    23/10/08
    noctuido

    Existe otra extensión para adaptar (si es que se puede) extensiones llamada VersionX https://addons.mozilla.org/es-ES/firefox/downloads/file/35861/versionx-1.0-fx.xpi

    Saludos. :)

  • Alberto |
    04/11/08
    Alberto

    ¡Gracias, Softonic! Me ha servido de mucho. Ahora tengo extensiones no compatibles, como Titlebar Tweaks. Lo he conseguido con la forma fácil y sin problemas.

  • Criptozoólogo |
    09/12/08
    Criptozoólogo

    El desgraciado de Firefox no se deja engañar; ya intenté con las dos formas e instalando VersionX y aún así desactiva las extensiones antiguas.

  • maria fernanda |
    22/12/08
    maria fernanda

    que no hay respuestas claras y sin tranta dibujo

  • Acerty |
    25/01/09
    Acerty

    Dios esa información me a venido de perlas muchas gracias

  • forhaud |
    30/01/09
    forhaud

    Muchas gracias por el tip, muy útil.

  • John Aguiar |
    23/02/09
    John Aguiar

    Hay algunas extensiones que nos dan lora y no se dejan instalar por mas marañas que le hagamos a las configuraciones de Firefox, de todos modos la única solución efectiva que encontré fué instalar la extensión "VersiónX 1.0" y fué como frotar la botella del genio después de reiniciar Firefox porque cumplió con su cometido y al fín, despues de tantas vueltas, pude instalarla sin mas líos. La extensión esta disponible solo para usuarios registrados en Mozila.org pero aquí les dos enlaces para que la consigan:

    1. http://download2us.softpedia.com/dl/0a2e1aada2c9a3b46503abf74d5f81a4/49a20e0b/400040874/mac/Internet-Utilities/versionx-1.0-fx.xpi

    2. http://download.softpedia.ro/dl/0a2e1aada2c9a3b46503abf74d5f81a4/49a20e0b/400040874/mac/Internet-Utilities/versionx-1.0-fx.xpi

    Espero les sirva!

  • Daniel |
    13/07/09
    Daniel

    Que bueno necesitaba esto como el comer. Muchas gracias.

  • Ivo |
    28/08/09
    Ivo

    De vuelta te agradezco, que con cada actualización debo poner esto de nuevo

  • noe |
    27/08/11
    noe

    me dice que no se pudo instalar por que el archivo esta corrupto que ago

  • yomismo |
    14/11/11
    yomismo

    Tambien puedes hacerlo directamente y por las bravas. El directorio donde se instalan las extensiones (En mi XP64) es:

    C:\Documents and Settings\Administrator\Application Data\Mozilla\Firefox\Profiles\

    Y luego cruza los dedos para que el desarroyador haya estructurado en subdirectorios el zip

  • guillermo |
    03/02/12
    guillermo

    el metodo avanzado no funciona, al instalarlo dice "este complemento no se puede instalar por que parece estar dañado" D:

  • yomismo |
    29/02/12
    yomismo

    @Guillermo , noe A ver si os pasa lo que a mi, descomprimís el xpi en una carpeta, editais y luego comprimís esa carpeta.

    Teneis que comprimir EL CONTENIDO de la carpeta, NO la carpeta en sí.

    Y por si acaso decidle al ZIP que useis que no aplique compresión ninguna(Solo empaquetar)

26/10/14
Tu imagen de usuario